#include <stdio.h>
#include <stdlib.h>
#include <physfs.h>

// Compile with: 
// gcc -std=c99 -m32 -o paklist paklist.c -lphysfs
int main(int argc, char **argv)
{
	char **maps;
	char **i;
	size_t path;

	if (argc < 2)
	{
		printf("Usage: %s <path1> [path2 ...]\n", argv[0]);
		printf("The \"maps\" directory will be searched in each path\n");
		return EXIT_SUCCESS;
	}

	PHYSFS_init(NULL);
	PHYSFS_permitSymbolicLinks(1);

	// add each path from the cmdline
	for (path = 1; path < argc; path++)
	{
		PHYSFS_addToSearchPath(argv[path], 1);
	} 

	// get pointer to all files in ./maps path	
	maps = PHYSFS_enumerateFiles("maps");

	// spit them out
	for (i = maps; *i != NULL; i++)
	{
		printf("%s\n", *i);
	}

	PHYSFS_freeList(maps);

	return EXIT_SUCCESS;
}
